allocator_type
array
array_t
at
at
at
at
back
back
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
basic_json
begin
begin
boolean_t
cbegin
cend
clear
const_pointer
const_reference
const_reverse_iterator
count
crbegin
crend
difference_type
dump
empty
end
end
erase
erase
erase
erase
find
find
front
front
get
get
get
get_allocator
get_ptr
get_ptr
get_ref
get_ref
insert
insert
insert
insert
insert
is_array
is_boolean
is_discarded
is_null
is_number
is_number_float
is_number_integer
is_object
is_primitive
is_string
is_structured
iterator_wrapper
iterator_wrapper
max_size
number_float_t
number_integer_t
object
object_t
operator value_t
operator ValueType
operator!=
operator!=
operator!=
operator+=
operator+=
operator+=
operator<
operator<
operator<<
operator<<
operator<=
operator=
operator==
operator==
operator==
operator>
operator>=
operator>>
operator>>
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
operator[]
parse
parse
parse
parse_event_t
parser_callback_t
pointer
push_back
push_back
push_back
rbegin
rbegin
reference
rend
rend
reverse_iterator
size
size_type
string_t
swap
swap
swap
swap
type
value
value
value_t
value_type
~basic_json

template<template< typename U, typename V, typename...Args > class ObjectType = std::map, template< typename U, typename...Args > class ArrayType = std::vector, class StringType = std::string, class BooleanType = bool, class NumberIntegerType = int64_t, class NumberFloatType = double, template< typename U > class AllocatorType = std::allocator>

string_t nlohmann::basic_json::dump | ( | const int | indent = `-1` | ) | const

inline

Serialization function for JSON values. The function tries to mimic Python's `json.dumps()` function, and currently supports its `indent` parameter.

Parameters

  [in] | indent | if indent is nonnegative, then array elements and object members will be pretty-printed with that indent level. An indent level of 0 will only insert newlines. -1 (the default) selects the most compact representation

Returns
  string containing the serialization of the JSON value

Complexity
  Linear.

Example
  The following example shows the effect of different indent parameters to the result of the serialization.
  #include <json.hpp>
  using namespace nlohmann;
  int main()
  {
  // create JSON values
  json j_object = {{"one", 1}, {"two", 2}};
  json j_array = {1, 2, 4, 8, 16};
  // call dump()
  std::cout << j_object.dump() << "\n\n";
  std::cout << j_object.dump(-1) << "\n\n";
  std::cout << j_object.dump(0) << "\n\n";
  std::cout << j_object.dump(4) << "\n\n";
  std::cout << j_array.dump() << "\n\n";
  std::cout << j_array.dump(-1) << "\n\n";
  std::cout << j_array.dump(0) << "\n\n";
  std::cout << j_array.dump(4) << "\n\n";
  }
  nlohmann::basic_json
  a class to store JSON values
  Definition: json.hpp:191
  nlohmann
  namespace for Niels Lohmann
  Definition: json.hpp:88
  nlohmann::basic_json::dump
  string_t dump(const int indent=-1) const
  serialization
  Definition: json.hpp:1886
  Output (play with this example online):

      {"one":1,"two":2}

      {"one":1,"two":2}

      {
      "one": 1,
      "two": 2
      }

      {
          "one": 1,
          "two": 2
      }

      [1,2,4,8,16]

      [1,2,4,8,16]

      [
      1,
      2,
      4,
      8,
      16
      ]

      [
          1,
          2,
          4,
          8,
          16
      ]

  The example code above can be translated with

      g++ -std=c++11 -Isrc doc/examples/dump.cpp -o dump

See also
  https://docs.python.org/2/library/json.html#json.dump

Since
  version 1.0.0

Definition at line 1886 of file json.hpp.